Schema "fpml-generic-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/transparency

Version:

  $Revision: 8823 $

Defined Components:

  2 global elements, 14 local elements, 3 complexTypes

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\transparency\fpml-generic-5-3.xsd; see XML source

Includes Schemas (2):

  fpml-asset-5-3.xsd [src], fpml-shared-5-3.xsd [src]

Included in Schema:

  fpml-main-5-3.xsd [src]

All Element Summary
counterpartyReference |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin GenericProduct complexType; see XML source
effectiveDate (defined in GenericProduct complexType) | The earliest of all the effective dates of all constituent streams.
Type: | AdjustableDate2
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin GenericProduct complexType; see XML source
expirationDate (defined in GenericProduct complexType) | For options, the last exercise date of the option.
Type: | AdjustableDate2
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin GenericProduct complexType; see XML source
fixedRate (in underlyer defined in GenericProduct complexType) | The fixed rate or fixed rate schedule expressed as explicit fixed rates and dates.
Type: | Schedule
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin TradeUnderlyer2 complexType; see XML source
floatingRate (in underlyer defined in GenericProduct complexType) | A floating rate.
Type: | FloatingRate
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin TradeUnderlyer2 complexType; see XML source
genericProduct | A product to represent an OTC derivative transaction whose economics are not fully described using an FpML schema.
Type: | GenericProduct
Content: | complex, 1 attribute, 14 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
multiLeg | Indicates whether this transaction has multiple components, not all of which may be reported.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin GenericProduct complexType; see XML source
nonSchemaProduct | A product to represent an OTC derivative transaction whose economics are not fully described using an FpML schema.
Type: | GenericProduct
Content: | complex, 1 attribute, 14 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
notional (defined in GenericProduct complexType) | The notional or notionals in effect on the last day of the last calculation period in each stream.
Type: | CashflowNotional
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin GenericProduct complexType; see XML source
optionType (defined in GenericProduct complexType) | For options, what type of option it is (e.g. butterfly).
Type: | OptionType
Content: | simple, 1 attribute
Defined: | locally witnin GenericProduct complexType; see XML source
premium (defined in GenericProduct complexType) |
Type: | SimplePayment
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin GenericProduct complexType; see XML source
quotedCurrencyPair (in underlyer defined in GenericProduct complexType) | Describes the composition of a rate that has been quoted.
Type: | QuotedCurrencyPair
Content: | complex, 3 elements
Defined: | locally witnin TradeUnderlyer2 complexType; see XML source
referenceEntity (in underlyer defined in GenericProduct complexType) | The corporate or sovereign entity on which you are buying or selling protection and any successor that assumes all or substantially all of its contractual and other obligations.
Type: | LegalEntity
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeUnderlyer2 complexType; see XML source
settlementCurrency (defined in GenericProduct complexType) | The currency or currencies in which the product can settle.
Type: | IdentifiedCurrency
Content: | simple, 2 attributes
Defined: | locally witnin GenericProduct complexType; see XML source
terminationDate (defined in GenericProduct complexType) | The latest of all of the termination (accrual end) dates of the constituent or underlying streams.
Type: | AdjustableDate2
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin GenericProduct complexType; see XML source
underlyer (defined in GenericProduct complexType) | The set of underlyers to the trade that can be used in computing the trade's cashflows.
Type: | TradeUnderlyer2
Content: | complex, 1 attribute, 5 elements
Defined: | locally witnin GenericProduct complexType; see XML source

Complex Type Summary
GenericProduct | Simple product representation providing key information about a variety of different products
Content: | complex, 1 attribute, 14 elements
Defined: | globally; see XML source
Includes: | definitions of 10 elements
Used: | at 2 locations
OptionType | A flexible description of the type or characteristics of an option or strategy, e.g. butterfly, condor, chooser.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
TradeUnderlyer2 | The underlying asset/index/reference price etc. whose rate/price may be observed to compute the value of the cashflow.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 5 elements
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- edited with XMLSpy v2005 rel. 3 U (http://www.altova.com) by Pierre Lamy (GOLDMAN SACHS & CO) --> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="trnsp" ecore:package="org.fpml.transparency" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/transparency" version="$Revision: 8823 $" xmlns="http://www.fpml.org/FpML-5/transparency" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-shared-5-3.xsd"/> <xsd:include schemaLocation="fpml-asset-5-3.xsd"/> <!--================================== GenericProduct Product elements and types ===============================--> <xsd:element name="genericProduct" substitutionGroup="product" type="GenericProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> A product to represent an OTC derivative transaction whose economics are not fully described using an FpML schema. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element fpml-annotation:deprecated="true" fpml-annotation:deprecatedReason="Replaced by genericProduct" name="nonSchemaProduct" substitutionGroup="product" type="GenericProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> A product to represent an OTC derivative transaction whose economics are not fully described using an FpML schema. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:complexType name="GenericProduct"> <xsd:annotation> <xsd:documentation xml:lang="en"> Simple product representation providing key information about a variety of different products </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="multiLeg" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates whether this transaction has multiple components, not all of which may be reported. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Removed a degenerate choice.--> <xsd:element maxOccurs="2" minOccurs="0" name="counterpartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="premium" type="SimplePayment"/> <xsd:element name="effectiveDate" type="AdjustableDate2"> <xsd:annotation> <xsd:documentation xml:lang="en"> The earliest of all the effective dates of all constituent streams. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="expirationDate" type="AdjustableDate2"> <xsd:annotation> <xsd:documentation xml:lang="en"> For options, the last exercise date of the option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="terminationDate" type="AdjustableDate2"> <xsd:annotation> <xsd:documentation xml:lang="en"> The latest of all of the termination (accrual end) dates of the constituent or underlying streams. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" name="underlyer" type="TradeUnderlyer2"> <xsd:annotation> <xsd:documentation xml:lang="en"> The set of underlyers to the trade that can be used in computing the trade's cashflows. If this information is needed to identify the trade, all of the trade's underlyers should be specified, whether or not they figure into the cashflow calculation. Otherwise, only those underlyers used to compute this particular cashflow need be supplied. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="notional" type="CashflowNotional"> <xsd:annotation> <xsd:documentation xml:lang="en"> The notional or notionals in effect on the last day of the last calculation period in each stream. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- BAL 2012-02-17 set option type to a coding scheme for flexibility--> <xsd:element minOccurs="0" name="optionType" type="OptionType"> <xsd:annotation> <xsd:documentation xml:lang="en"> For options, what type of option it is (e.g. butterfly). </xsd:documentation> </xsd:annotation> </xsd:element> <!-- <xsd:element name="optionType" type="OptionTypeEnum" minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en">For options, whether the option is a put or call option.</xsd:documentation> </xsd:annotation> </xsd:element> --> <!-- LL 9/14/11 commented out pending WG/SC decision on how to proceed with generic properties, reverted to original definitions from 5.2TR <xsd:element name="exerciseStyle" type="GenericExerciseStyle" minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en">For options, whether the option is a put or call option.</xsd:documentation> </xsd:annotation> </xsd:element> --> <xsd:element maxOccurs="unbounded" name="settlementCurrency" type="IdentifiedCurrency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The currency or currencies in which the product can settle. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- <xsd:group ref="GenericProductProperty.model" minOccurs="0" maxOccurs="unbounded" /> --> <!-- Removed 2012-01 BAL because this duplicates information contained in SDR execution notification messages <xsd:element name="quote" type="BasicQuotation" minOccurs="0" maxOccurs="unbounded"> <xsd:annotation> <xsd:documentation xml:lang="en">Valutions (observed or calculated prices or other values) for the product.</xsd:documentation> <xsd:appinfo> <view:override view="transparency" minOccurs="1"/> </xsd:appinfo> </xsd:annotation> </xsd:element> --> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="TradeUnderlyer2"> <xsd:annotation> <xsd:documentation xml:lang="en"> The underlying asset/index/reference price etc. whose rate/price may be observed to compute the value of the cashflow. It can be an index, fixed rate, listed security, quoted currency pair, or a reference entity (for credit derivatives). </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="floatingRate" type="FloatingRate"> <xsd:annotation> <xsd:documentation xml:lang="en">A floating rate.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fixedRate" type="Schedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The fixed rate or fixed rate schedule expressed as explicit fixed rates and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" ref="underlyingAsset"> <xsd:annotation> <xsd:documentation xml:lang="en"> Define the underlying asset, either a listed security or other instrument. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"> <xsd:annotation> <xsd:documentation xml:lang="en"> Describes the composition of a rate that has been quoted. This includes the two currencies and the quotation relationship between the two currencies. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="referenceEntity" type="LegalEntity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The corporate or sovereign entity on which you are buying or selling protection and any successor that assumes all or substantially all of its contractual and other obligations. It is vital to use the correct legal name of the entity and to be careful not to choose a subsidiary if you really want to trade protection on a parent company. Please note, Reference Entities cannot be senior or subordinated. It is the obligations of the Reference Entities that can be senior or subordinated. ISDA 2003 Term: Reference Entity </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:group minOccurs="0" ref="PayerReceiver.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the parties responsible for paying vs. receiving this asset. </xsd:documentation> </xsd:annotation> </xsd:group> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="OptionType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A flexible description of the type or characteristics of an option or strategy, e.g. butterfly, condor, chooser. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/option-type" name="optionTypeScheme" type="xsd:anyURI"> <xsd:annotation> <xsd:documentation xml:lang="en">The type scheme used with this option type.</xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <!-- generic properties, added 2011-08 by BAL ... commented out pending WG/SC decision on how to proceed --> <!-- <xsd:group name="GenericProductProperty.model"> <xsd:choice> <xsd:element name="dateProperty" type="GenericDateProperty"/> <xsd:element name="periodProperty" type="GenericPeriodProperty"/> <xsd:element name="scheduleProperty" type="GenericScheduleProperty"/> <xsd:element name="numericalProperty" type="GenericNumericalProperty"/> <xsd:element name="moneyProperty" type="GenericMoneyProperty"/> <xsd:element name="booleanProperty" type="GenericBooleanProperty"/> <xsd:element name="textProperty" type="GenericTextProperty"/> <xsd:element name="currencyProperty" type="GenericCurrencyProperty"/> <xsd:element name="feature" type="GenericFeature"/> <xsd:element name="relatedParty" type="RelatedParty"/> </xsd:choice> </xsd:group> <xsd:complexType name="PropertyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to a generic product property.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute name="href" type="xsd:IDREF" use="required" /> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:group name="GenericPropertyReference.model"> <xsd:sequence> <xsd:element name="relatedElement" type="PropertyReference"/> <xsd:element name="relatedElementType" type="GenericReferenceType" minOccurs="0"/> </xsd:sequence> </xsd:group> <xsd:complexType name="GenericReferenceType"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used to hold the purpose or meaning of a reference in a generic product.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="referenceTypeScheme" type="xsd:anyURI" default="http://www.fpml.org/coding-scheme/generic-product-reference"> <xsd:annotation> <xsd:documentation xml:lang="en">The type scheme used with this reference type.</xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="GenericDateProperty"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining a date property for a generic product.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="type" type="GenericDatePropertyType"> <xsd:annotation> <xsd:documentation xml:lang="en">The type or purpose of the date property.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="value" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en">The date value.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="GenericPropertyReference.model" maxOccurs="unbounded" minOccurs="0"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType> <xsd:complexType name="GenericDatePropertyType"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used to hold the purpose or meaning of a date property held in a generic product.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="propertyScheme" type="xsd:anyURI" default="http://www.fpml.org/coding-scheme/generic-product-date"> <xsd:annotation> <xsd:documentation xml:lang="en">The identifier scheme used with this property.</xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="GenericPeriodProperty"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining a period property for a generic product.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="type" type="GenericPeriodPropertyType"> <xsd:annotation> <xsd:documentation xml:lang="en">The type or purpose of the period property.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="value" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en">The period value.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="GenericPropertyReference.model" maxOccurs="unbounded" minOccurs="0"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType> <xsd:complexType name="GenericPeriodPropertyType"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used to hold the purpose or meaning of a period property held in a generic product.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="propertyScheme" type="xsd:anyURI" default="http://www.fpml.org/coding-scheme/generic-product-period"> <xsd:annotation> <xsd:documentation xml:lang="en">The identifier scheme used with this property.</xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="GenericScheduleProperty"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining a schedule property for a generic product.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="type" type="GenericSchedulePropertyType"> <xsd:annotation> <xsd:documentation xml:lang="en">The type or purpose of the schedule property.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="value" type="Schedule"> <xsd:annotation> <xsd:documentation xml:lang="en">The schedule value.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="GenericPropertyReference.model" maxOccurs="unbounded" minOccurs="0"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType> <xsd:complexType name="GenericSchedulePropertyType"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used to hold the purpose or meaning of a schedule property held in a generic product.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="propertyScheme" type="xsd:anyURI" default="http://www.fpml.org/coding-scheme/generic-product-schedule"> <xsd:annotation> <xsd:documentation xml:lang="en">The identifier scheme used with this property.</xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="GenericNumericalProperty"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining a numerical value property for a generic product.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="type" type="GenericNumericalPropertyType"> <xsd:annotation> <xsd:documentation xml:lang="en">The type or purpose of the numerical value property.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="value" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The numerical value.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="GenericPropertyReference.model" maxOccurs="unbounded" minOccurs="0"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType> <xsd:complexType name="GenericNumericalPropertyType"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used to hold the purpose or meaning of a numerical value property held in a generic product.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="propertyScheme" type="xsd:anyURI" default="http://www.fpml.org/coding-scheme/generic-product-numerical-value"> <xsd:annotation> <xsd:documentation xml:lang="en">The identifier scheme used with this property.</xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="GenericMoneyProperty"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining a monetary value property for a generic product.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="type" type="GenericMoneyPropertyType"> <xsd:annotation> <xsd:documentation xml:lang="en">The type or purpose of the monetary value property.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="value" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en">The monetary value.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="GenericPropertyReference.model" maxOccurs="unbounded" minOccurs="0"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType> <xsd:complexType name="GenericMoneyPropertyType"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used to hold the purpose or meaning of a monetary value property held in a generic product.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="propertyScheme" type="xsd:anyURI" default="http://www.fpml.org/coding-scheme/generic-product-monetary-value"> <xsd:annotation> <xsd:documentation xml:lang="en">The identifier scheme used with this property.</xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="GenericBooleanProperty"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining a boolean property for a generic product.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="type" type="GenericBooleanPropertyType"> <xsd:annotation> <xsd:documentation xml:lang="en">The type or purpose of the boolean property.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="value" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en">The boolean value.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="GenericPropertyReference.model" maxOccurs="unbounded" minOccurs="0"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType> <xsd:complexType name="GenericBooleanPropertyType"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used to hold the purpose or meaning of a boolean property held in a generic product.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="propertyScheme" type="xsd:anyURI" default="http://www.fpml.org/coding-scheme/generic-product-boolean"> <xsd:annotation> <xsd:documentation xml:lang="en">The identifier scheme used with this property.</xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="GenericTextProperty"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining a text property for a generic product.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="type" type="GenericTextPropertyType"> <xsd:annotation> <xsd:documentation xml:lang="en">The type or purpose of the text property.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="value" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en">The text value.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="GenericPropertyReference.model" maxOccurs="unbounded" minOccurs="0"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType> <xsd:complexType name="GenericTextPropertyType"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used to hold the purpose or meaning of a text property held in a generic product.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="propertyScheme" type="xsd:anyURI" default="http://www.fpml.org/coding-scheme/generic-product-text"> <xsd:annotation> <xsd:documentation xml:lang="en">The identifier scheme used with this property.</xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="GenericCurrencyProperty"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining a currency property for a generic product.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="type" type="GenericCurrencyPropertyType"> <xsd:annotation> <xsd:documentation xml:lang="en">The type or purpose of the currency property.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="value" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en">The currency value.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="GenericPropertyReference.model" maxOccurs="unbounded" minOccurs="0"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType> <xsd:complexType name="GenericCurrencyPropertyType"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used to hold the purpose or meaning of a currency property held in a generic product.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="propertyScheme" type="xsd:anyURI" default="http://www.fpml.org/coding-scheme/generic-product-currency"> <xsd:annotation> <xsd:documentation xml:lang="en">The identifier scheme used with this property.</xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="GenericFeature"> <xsd:annotation> <xsd:documentation xml:lang="en">A type defining a feature property for a generic product.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="propertyScheme" type="xsd:anyURI" default="http://www.fpml.org/coding-scheme/generic-product-feature"> <xsd:annotation> <xsd:documentation xml:lang="en">The feature scheme used with this property.</xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="GenericOptionTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used to hold the type description of an option in a generic product.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="optionTypeScheme" type="xsd:anyURI" default="http://www.fpml.org/coding-scheme/generic-option-type"> <xsd:annotation> <xsd:documentation xml:lang="en">The value scheme used with this property.</xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="GenericExerciseStyle"> <xsd:annotation> <xsd:documentation xml:lang="en">The data type used to hold the exercise style description of an option in a generic product (e.g. American, European, Bermudan).</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="exerciseStyleScheme" type="xsd:anyURI" default="http://www.fpml.org/coding-scheme/generic-exercise-style"> <xsd:annotation> <xsd:documentation xml:lang="en">The value scheme used with this property.</xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:simpleContent> </xsd:complexType> --> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.